> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Organization Groups

> Get paginated list of enterprise groups that are in this organization

Requires an enterprise admin personal API key.

Returns a paginated list of enterprise groups within a specific organization.


## OpenAPI

````yaml /v2-openapi.yaml GET /v2/enterprise/organizations/{org_id}/groups
openapi: 3.1.0
info:
  description: Devin v2 API with Personal API Keys for Enterprise Admins
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/organizations/{org_id}/groups:
    get:
      tags:
        - organizations
      summary: Enterprise Organization Groups Endpoint
      description: Get paginated list of enterprise groups that are in this org
      operationId: >-
        enterprise_organization_groups_endpoint_v2_enterprise_organizations__org_id__groups_get
      parameters:
        - in: path
          name: org_id
          required: true
          schema:
            title: Org Id
            type: string
        - in: query
          name: skip
          required: false
          schema:
            default: 0
            minimum: 0
            title: Skip
            type: integer
        - in: query
          name: limit
          required: false
          schema:
            default: 100
            maximum: 200
            minimum: 1
            title: Limit
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_OrganizationGroupResponse_
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    PaginatedResponse_OrganizationGroupResponse_:
      properties:
        has_more:
          title: Has More
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/OrganizationGroupResponse'
          title: Items
          type: array
        limit:
          title: Limit
          type: integer
        next_cursor:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Cursor
        skip:
          title: Skip
          type: integer
        total:
          title: Total
          type: integer
      required:
        - items
        - total
        - skip
        - limit
        - has_more
      title: PaginatedResponse[OrganizationGroupResponse]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    OrganizationGroupResponse:
      properties:
        group_name:
          title: Group Name
          type: string
        org_id:
          title: Org Id
          type: string
        role:
          title: Role
          type: string
      required:
        - org_id
        - group_name
        - role
      title: OrganizationGroupResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Personal API Key (apk_user_*) for Enterprise Admins only
      scheme: bearer
      type: http

````